Bug 846881 - Test case failure: [Run] Sort the test run query result
Test case failure: [Run] Sort the test run query result
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Application (Show other bugs)
3.8.0
Unspecified Linux
high Severity high
: ---
: 3.8.0
Assigned To: Yang Ren
tools-bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 22:10 EDT by wangjing
Modified: 2016-05-26 09:25 EDT (History)
5 users (show)

See Also:
Fixed In Version: 3.8.0-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wangjing 2012-08-08 22:10:57 EDT
Filed from caserun (https://tcms.engineering.redhat.com/case/184506/?from_plan=6692)

Version-Release number of selected component (if applicable):
3.8.0-7

Steps to Reproduce: 

1. Search test run via quick search/ simple search/ advanced search.

2. Click table header for re-sort run list.



Actual results: 
1.All the status items in list display "Running",and when clicking the table header "Completed" for sort,the actual status show there are two "Finished".Then clicking the other table headers for sort,the status items show "Running" again.The problem exists in all the three search results.
2.In advanced search results,clicking the table headers "Status" and "Completed" cannot sort the list.And the UI style of table headers is different from the other two search results.

Expected results:
1.The status should be correct when just returning the results or clicking the table header.
2.It may be much better that the UI style and function of the three search results list are unified.
Comment 1 yawei Li 2012-08-09 05:42:52 EDT
will fix the #1 issue in 3.8.0.
Comment 2 Xiangyang Chu 2012-08-09 22:54:47 EDT
Have been fixed. Be sure that testrun status correct and consistent.
Comment 3 xubai 2012-08-15 01:43:51 EDT
Verify 3.8.0-8 on stage --> PASS

Verify steps:

1. Search test run via quick search/ simple search/ advanced search.

2. Click table header for re-sort run list.

Actural result:
1.The status is correct when just returning the results or clicking the table header.

Note You need to log in before you can comment on or make changes to this bug.